%define major		5
%define libname		%mklibname isds %{major}
%define develname	%mklibname -d isds

Summary:	The libisds is library for accessing CZ databox SOAP services
Name:		libisds
Version:	0.10.2
Release:	%mkrel 1
License:	LGPLv3
Group:		System/Libraries 
URL:		http://xpisar.wz.cz/libisds/
Source0:	http://xpisar.wz.cz/libisds/dist/%{name}-%{version}.tar.xz
BuildRequires:	libxml2-devel
BuildRequires:	libcurl-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libexpat-devel
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel

%description
Library for accessing ISDS (Informační systém datových schránek -
Data Box Information System) SOAP services as defined in Czech
ISDS Act (300/2008 Coll.) and implied documents.

%package	-n %{libname}
Summary:	The libisds is library for accessing CZ databox SOAP services
Group:		System/Libraries
Obsoletes:	%{name} < 0.10-2
Requires:	%{name}-i18n = %{version}

%description	-n %{libname}
Library for accessing ISDS (Informační systém datových schránek -
Data Box Information System) SOAP services as defined in Czech
ISDS Act (300/2008 Coll.) and implied documents.

%package	i18n
BuildArch:	noarch
Summary:	Translation files for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 0.10-2

%description	i18n
Translation files for %{name}.

%package	-n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel < 0.10-2
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static --with-libcurl
%make

%install
%make_install
rm %{buildroot}%{_libdir}/%{name}.la
%find_lang %{name}

%files -n %{libname}
%doc README AUTHORS NEWS TODO COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files i18n -f %{name}.lang

%files -n %{develname}
%{_includedir}/isds.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%doc doc/*


%changelog
* Thu Mar 10 2016 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 988691
- new version: 0.10.2
- use mageia's libification policy

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 02 2015 supp <supp> 0.10.1-3.mga6
+ Revision: 907807
- make 0.10.1 work again - bump to rev.3
- make 0.10.1 work again

* Sat Oct 24 2015 daviddavid <daviddavid> 0.10.1-2.mga6
+ Revision: 894887
- devel subpackage requires lib subpackage

  + fwang <fwang>
    - update file list

* Mon Sep 14 2015 fwang <fwang> 0.10.1-1.mga6
+ Revision: 879066
- 0.10.1
- split sub packages

* Sat Jun 20 2015 supp <supp> 0.10-1.mga6
+ Revision: 836385
- update to 0.10

* Sun Dec 21 2014 supp <supp> 0.9-3.mga5
+ Revision: 804570
- move development headers to separate package, release bump
- move development headers to separate package

* Sun Dec 21 2014 supp <supp> 0.9-2.mga5
+ Revision: 804565
- remove Obsoletes tag as it is more useful in main - Datovka - application and will not break older installations

* Sun Dec 21 2014 supp <supp> 0.9-1.mga5
+ Revision: 804560
- fix source
- upload source file
- libisds
- Created package structure for libisds.

